Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.TypeBoundContext

- org.apache.groovy.parser.antlr4.GroovyParser.TypeBoundContext

-     public static class GroovyParser.TypeBoundContext
      extends GroovyParserRuleContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TypeBoundContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public List<? extends TerminalNode>` | `BITAND()`
    `` | `public TerminalNode` | `BITAND(int i)`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public int` | `getRuleIndex()`
    `` | `public List<? extends NlsContext>` | `nls()`
    `` | `public NlsContext` | `nls(int i)`
    `` | `public List<? extends TypeContext>` | `type()`
    `` | `public TypeContext` | `type(int i)`

- - ### Constructor Detail

    - #### public TypeBoundContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public List<? extends TerminalNode> BITAND()

    - #### public TerminalNode BITAND(int i)

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### @Override
      public int getRuleIndex()

    - #### public List<? extends NlsContext> nls()

    - #### public NlsContext nls(int i)

    - #### public List<? extends TypeContext> type()

    - #### public TypeContext type(int i)